Export analytics data
curl --request POST \
--url https://api.galtea.ai/analytics/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "prod_123",
"versionIds": [
"<string>"
],
"testIds": [
"test_123",
"test_456"
],
"metricIds": [
"metric_123",
"metric_456"
],
"specificationIds": [
"spec_123",
"spec_456"
],
"languages": [
"<string>"
],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isProduction": true
}
'import requests
url = "https://api.galtea.ai/analytics/export"
payload = {
"productId": "prod_123",
"versionIds": ["<string>"],
"testIds": ["test_123", "test_456"],
"metricIds": ["metric_123", "metric_456"],
"specificationIds": ["spec_123", "spec_456"],
"languages": ["<string>"],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isProduction": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 'prod_123',
versionIds: ['<string>'],
testIds: ['test_123', 'test_456'],
metricIds: ['metric_123', 'metric_456'],
specificationIds: ['spec_123', 'spec_456'],
languages: ['<string>'],
from: '2023-11-07T05:31:56Z',
to: '2023-11-07T05:31:56Z',
isProduction: true
})
};
fetch('https://api.galtea.ai/analytics/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/analytics/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productId' => 'prod_123',
'versionIds' => [
'<string>'
],
'testIds' => [
'test_123',
'test_456'
],
'metricIds' => [
'metric_123',
'metric_456'
],
'specificationIds' => [
'spec_123',
'spec_456'
],
'languages' => [
'<string>'
],
'from' => '2023-11-07T05:31:56Z',
'to' => '2023-11-07T05:31:56Z',
'isProduction' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/analytics/export"
payload := strings.NewReader("{\n \"productId\": \"prod_123\",\n \"versionIds\": [\n \"<string>\"\n ],\n \"testIds\": [\n \"test_123\",\n \"test_456\"\n ],\n \"metricIds\": [\n \"metric_123\",\n \"metric_456\"\n ],\n \"specificationIds\": [\n \"spec_123\",\n \"spec_456\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\",\n \"isProduction\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/analytics/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productId\": \"prod_123\",\n \"versionIds\": [\n \"<string>\"\n ],\n \"testIds\": [\n \"test_123\",\n \"test_456\"\n ],\n \"metricIds\": [\n \"metric_123\",\n \"metric_456\"\n ],\n \"specificationIds\": [\n \"spec_123\",\n \"spec_456\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\",\n \"isProduction\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/analytics/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productId\": \"prod_123\",\n \"versionIds\": [\n \"<string>\"\n ],\n \"testIds\": [\n \"test_123\",\n \"test_456\"\n ],\n \"metricIds\": [\n \"metric_123\",\n \"metric_456\"\n ],\n \"specificationIds\": [\n \"spec_123\",\n \"spec_456\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\",\n \"isProduction\": true\n}"
response = http.request(request)
puts response.read_body{}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Export analytics data
Export analytics data for a product with optional filtering. See Platform Overview.
POST
/
analytics
/
export
Export analytics data
curl --request POST \
--url https://api.galtea.ai/analytics/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "prod_123",
"versionIds": [
"<string>"
],
"testIds": [
"test_123",
"test_456"
],
"metricIds": [
"metric_123",
"metric_456"
],
"specificationIds": [
"spec_123",
"spec_456"
],
"languages": [
"<string>"
],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isProduction": true
}
'import requests
url = "https://api.galtea.ai/analytics/export"
payload = {
"productId": "prod_123",
"versionIds": ["<string>"],
"testIds": ["test_123", "test_456"],
"metricIds": ["metric_123", "metric_456"],
"specificationIds": ["spec_123", "spec_456"],
"languages": ["<string>"],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isProduction": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 'prod_123',
versionIds: ['<string>'],
testIds: ['test_123', 'test_456'],
metricIds: ['metric_123', 'metric_456'],
specificationIds: ['spec_123', 'spec_456'],
languages: ['<string>'],
from: '2023-11-07T05:31:56Z',
to: '2023-11-07T05:31:56Z',
isProduction: true
})
};
fetch('https://api.galtea.ai/analytics/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/analytics/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productId' => 'prod_123',
'versionIds' => [
'<string>'
],
'testIds' => [
'test_123',
'test_456'
],
'metricIds' => [
'metric_123',
'metric_456'
],
'specificationIds' => [
'spec_123',
'spec_456'
],
'languages' => [
'<string>'
],
'from' => '2023-11-07T05:31:56Z',
'to' => '2023-11-07T05:31:56Z',
'isProduction' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/analytics/export"
payload := strings.NewReader("{\n \"productId\": \"prod_123\",\n \"versionIds\": [\n \"<string>\"\n ],\n \"testIds\": [\n \"test_123\",\n \"test_456\"\n ],\n \"metricIds\": [\n \"metric_123\",\n \"metric_456\"\n ],\n \"specificationIds\": [\n \"spec_123\",\n \"spec_456\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\",\n \"isProduction\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/analytics/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productId\": \"prod_123\",\n \"versionIds\": [\n \"<string>\"\n ],\n \"testIds\": [\n \"test_123\",\n \"test_456\"\n ],\n \"metricIds\": [\n \"metric_123\",\n \"metric_456\"\n ],\n \"specificationIds\": [\n \"spec_123\",\n \"spec_456\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\",\n \"isProduction\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/analytics/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productId\": \"prod_123\",\n \"versionIds\": [\n \"<string>\"\n ],\n \"testIds\": [\n \"test_123\",\n \"test_456\"\n ],\n \"metricIds\": [\n \"metric_123\",\n \"metric_456\"\n ],\n \"specificationIds\": [\n \"spec_123\",\n \"spec_456\"\n ],\n \"languages\": [\n \"<string>\"\n ],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\",\n \"isProduction\": true\n}"
response = http.request(request)
puts response.read_body{}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}You are reading the docs of Galtea 5.12. Read this page in the latest version.
Authorizations
Body
application/json
Response
Analytics data exported successfully
Exported analytics data